## Summary
<!--Explain briefly what goes wrong and explain why you believe this is a bug and not the intended behavior of SQLite (if it is not a crash).-->**No review yet**

## Minimized query

```sql
SAVEPOINT sp2312;
.headers on
BEGIN DEFERRED TRANSACTION;
PRAGMA page_size=--2147483649;
-- PRAGMA short_column_names = 1;
CREATE TABLE t1(a CLOB PRIMARY KEY, b BLOB, c INT) WITHOUT ROWID;
WITH RECURSIVE c(x) AS (VALUES(printf('%d', 1)) UNION ALL SELECT x+1 FROM c WHERE x<100) INSERT INTO t1(a,b,c) WITH _m AS MATERIALIZED (SELECT * FROM t2) SELECT x*2, zeroblob(100), x FROM c;
UPDATE t1 SET b=zeroblob(1000) WHERE a=198;
CREATE TABLE _m(x INTEGER PRIMARY KEY, y INT);
INSERT INTO t2(y) VALUES(198),(187),(100);
WITH _m AS MATERIALIZED (SELECT * FROM t1) SELECT y, c FROM t2 LEFT JOIN _m ON y=a ORDER BY x;
creATE VIRTUAL TABLE t0 USING fts3("x", "y", "z");
DROP TABLE t0;
SELECT y, c FROM t1 RIGHT JOIN t2 /* .width -1 -2 -3 */ ON y=a ORDER BY x;
INSERT INTO t1 VALUES ('' || ('x'), 'x', NULL) ON CONFLICT(a) DO UPDATE SET a = excluded.a, b = excluded.b, c = excluded.c;
INSERT INTO t2 DEFAULT VALUES;
CREATE UNIQUE  INDEX IF NOT EXISTS idx_t2_7725 ON t2(lower(y)) WHERE y > 0;
END;
SELECT * FROM t2 CROSS JOIN t1;
REINDEX t1;
PRAGMA secure_delete = OFF;
ANALYZE;
PRAGMA reverse_unordered_selects;
ROLLBACK TO sp2312;
RELEASE sp2312;
SELECT * FROM t2;
SELECT * FROM t1 WHERE b >= ANY (SELECT b FROM t1);
ALTER TABLE t2 RENAME TO t2_r948;
SELECT LAG(x) OVER (PARTITION BY x ORDER BY x ROWS BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW) FROM t2;
ALTER TABLE t1 DROP COLUMN b;
```

## Actual output

```sql
Usage: /home/test/sqlite3-src/build/sqlite3 [OPTIONS] FILENAME [SQL]
FILENAME is the name of an SQLite database. A new database is created
if the file does not previously exist.
OPTIONS include:
   -append              append the database to the end of the file
   -ascii               set output mode to 'ascii'
   -bail                stop after hitting an error
   -batch               force batch I/O
   -box                 set output mode to 'box'
   -column              set output mode to 'column'
   -cmd COMMAND         run "COMMAND" before reading stdin
   -csv                 set output mode to 'csv'
   -deserialize         open the database using sqlite3_deserialize()
   -echo                print commands before execution
   -init FILENAME       read/process named file
   -[no]header          turn headers on or off
   -help                show this message
   -html                set output mode to HTML
   -interactive         force interactive I/O
   -json                set output mode to 'json'
   -line                set output mode to 'line'
   -list                set output mode to 'list'
   -lookaside SIZE N    use N entries of SZ bytes for lookaside memory
   -markdown            set output mode to 'markdown'
   -maxsize N           maximum size for a --deserialize database
   -memtrace            trace all memory allocations and deallocations
   -mmap N              default mmap size set to N
   -newline SEP         set output row separator. Default: '\n'
   -nofollow            refuse to open symbolic links to database files
   -nonce STRING        set the safe-mode escape nonce
   -nullvalue TEXT      set text string for NULL values. Default ''
   -pagecache SIZE N    use N slots of SZ bytes each for page cache memory
   -quote               set output mode to 'quote'
   -readonly            open the database read-only
   -safe                enable safe-mode
   -separator SEP       set output column separator. Default: '|'
   -stats               print memory stats before each finalize
   -table               set output mode to 'table'
   -tabs                set output mode to 'tabs'
   -version             show SQLite version
   -vfs NAME            use NAME as the default VFS
```

## Expectation

```sql

```

## Flag

```
-help
```

